"""The main module that runs {term}`GSO`."""
import typer
from orchestrator import OrchestratorCore
from orchestrator.cli.main import app as core_cli
from orchestrator.settings import AppSettings

import gso.products  # noqa: F401
import gso.workflows  # noqa: F401
from gso import load_gso_cli
from gso.api.api_v1.api import api_router


def init_gso_app(settings: AppSettings) -> OrchestratorCore:
    app = OrchestratorCore(base_settings=settings)
    app.include_router(api_router, prefix="/api")
    return app


def init_cli_app() -> typer.Typer:
    load_gso_cli(core_cli)
    return core_cli()


app = init_gso_app(settings=AppSettings())

if __name__ == "__main__":
    init_cli_app()
